
// 校验端口
export const validatePort = (_: any, value: any, callback: any) => {
  if (value && !/^\d+$/.test(value)) {
    return Promise.reject(new Error('请输入有效的端口号'));
  } 
  return Promise.resolve();
};

// 校验ip
export const validateIPAddress = (_: any, value: any) => {
  if (value && !/^(\d{1,3}\.){3}\d{1,3}$/.test(value)) {
    return Promise.reject(new Error('请输入正确的 IP 地址'));
  }
  return Promise.resolve();
};

// 校验子网掩码
export const subnetMaskValidator = (_: any, value: any) => {
  const regex = /^(128|192|224|240|248|252|254)\.(0|128|192|224|240|248|252|254)\.(0|128|192|224|240|248|252|254)\.(0|128|192|224|240|248|252|254)$/;
  if (!regex.test(value)) {
    return Promise.reject(new Error('请输入有效的子网掩码'));
  }
  return Promise.resolve();
};

// 校验输入内容为整数
export const validateNumber = (_: any, value: any) => {
  if (value && !Number.isInteger(Number(value))) {
    return Promise.reject(new Error('输入内容只能为数字'));
  }
  return Promise.resolve();
};
